stages:
    - build
    - test

variables:
    BUILD_FILE_NAME: computer.txt 

    
build laptop:
    image: alpine
    stage: build
  
    script: 
        - echo "hello world Now"
        - mkdir build
        # - touch build/$BUILD_FILE_NAME 
        - echo "mainboard" >> build/$BUILD_FILE_NAME 
        - cat build/$BUILD_FILE_NAME
    artifacts:
        paths:
            - build
  
test laptop:
    image: alpine
    stage: test
    script:
        - test -f build/computer.txt
        - grep "mainboard" build/computer.txt
        